Package org.eclipse.microprofile.config.tck

# Class PropertyExpressionsTest

java.lang.Object
org.jboss.arquillian.testng.Arquillian
org.eclipse.microprofile.config.tck.PropertyExpressionsTest

All Implemented Interfaces:
  `org.testng.IHookable`, `org.testng.ITestNGListener`

public class PropertyExpressionsTest extends org.jboss.arquillian.testng.Arquillian

## Nested Class Summary

## Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

## Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

## Constructor Summary

Constructors
Constructor
Description
`PropertyExpressionsTest()`

## Method Summary

Modifier and Type
Method
Description
`void`
`composedExpressions()`
`void`
`defaultExpression()`
`void`
`defaultExpressionComposed()`
`void`
`defaultExpressionComposedEmpty()`
`void`
`defaultExpressionEmpty()`
`static org.jboss.shrinkwrap.api.spec.WebArchive`
`deployment()`
`void`
`escape()`
`void`
`infiniteExpansion()`
`void`
`multipleExpansions()`
`void`
`multipleExpressions()`
`void`
`noExpression()`
`void`
`noExpressionComposed()`
`void`
`simpleExpression()`
`void`
`tearDown()`
`void`
`withoutExpansion()`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PropertyExpressionsTest

public PropertyExpressionsTest()

## Method Details

### deployment

@Deployment public static org.jboss.shrinkwrap.api.spec.WebArchive deployment()

### tearDown

@AfterMethod public void tearDown()

### simpleExpression

public void simpleExpression()

### multipleExpressions

public void multipleExpressions()

### composedExpressions

public void composedExpressions()

### defaultExpression

public void defaultExpression()

### defaultExpressionEmpty

public void defaultExpressionEmpty()

### defaultExpressionComposed

public void defaultExpressionComposed()

### defaultExpressionComposedEmpty

public void defaultExpressionComposedEmpty()

### noExpression

public void noExpression()

### noExpressionComposed

public void noExpressionComposed()

### multipleExpansions

public void multipleExpansions()

### infiniteExpansion

public void infiniteExpansion()

### withoutExpansion

public void withoutExpansion()

### escape

public void escape()